MuldeR's Utilities for Qt MUtilities

Classes | Typedefs | Enumerations | Variables
MUtils::OS::Version Namespace Reference

OS version information namespace. More...

## Classes
struct | _os_version_t
| This struct contains version information about the underlaying operating system. See `_os_version_t` for details! More...

## Typedefs
typedef struct MUtils::OS::Version::_os_version_t | os_version_t
| This struct contains version information about the underlaying operating system. See `_os_version_t` for details!

## Enumerations
enum | os_type_t { OS_UNKNOWN = 0, OS_WINDOWS = 1 }
| This enumeration specifies the type of the underlaying operating system. More...

## Variables
MUTILS_API const os_version_t | WINDOWS_WIN2K
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WINXP
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_XPX64
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_VISTA
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WIN70
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WIN80
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WIN81
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WIN10
| Operating system version constant. More...
MUTILS_API const os_version_t | WINDOWS_WIN11
| Operating system version constant. More...
MUTILS_API const os_version_t | UNKNOWN_OPSYS
| Operating system version constant. More...

## Detailed Description

OS version information namespace.

## Enumeration Type Documentation

## § os_type_t

enum MUtils::OS::Version::os_type_t

This enumeration specifies the type of the underlaying operating system.

Enumerator
OS_UNKNOWN | Unknown operating system.
OS_WINDOWS | Microsoft(R) Windows.

## Variable Documentation

## § UNKNOWN_OPSYS

MUTILS_API const os_version_t MUtils::OS::Version::UNKNOWN_OPSYS

Operating system version constant.

Unknown operating system version

## § WINDOWS_VISTA

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_VISTA

Operating system version constant.

Microsoft(R) Windows Vista

## § WINDOWS_WIN10

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN10

Operating system version constant.

Microsoft(R) Windows 10

## § WINDOWS_WIN11

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN11

Operating system version constant.

Microsoft(R) Windows 11

## § WINDOWS_WIN2K

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN2K

Operating system version constant.

Microsoft(R) Windows 2000

## § WINDOWS_WIN70

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN70

Operating system version constant.

Microsoft(R) Windows 7

## § WINDOWS_WIN80

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN80

Operating system version constant.

Microsoft(R) Windows 8

## § WINDOWS_WIN81

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WIN81

Operating system version constant.

Microsoft(R) Windows 8.1

## § WINDOWS_WINXP

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_WINXP

Operating system version constant.

Microsoft(R) Windows XP

## § WINDOWS_XPX64

MUTILS_API const os_version_t MUtils::OS::Version::WINDOWS_XPX64

Operating system version constant.

Microsoft(R) Windows XP x64-edition